Fork me on GitHub
#babashka
<
2021-11-13
>
borkdude14:11:27

babashka 0.6.5 (2021-11-13) babashka • Compatibility with a https://github.com/babashka/tools.namespace. This allows running the Cognitect https://github.com/cognitect-labs/test-runner (Cognitest) from source. • Add various `tools.build` related classes for running parts of tools.build with bb (https://github.com/hugoduncan). Keep an eye on https://github.com/babashka/tools.bbuild. • Deps.clj: upgrade tools jar, support checking manifest staleness (see https://clojure.atlassian.net/browse/TDEPS-83) • Add `clojure.lang.IPersistentList` (https://github.com/FieryCod) • The https://github.com/lispyclouds/contajners library is now compatible with babashka • Support `Object` `toString` override on defrecords https://github.com/babashka/babashka/issues/999. • Bump to GraalVM 21.3.0 JVM 11 • Bump `core.async` to `1.4.627` • Bump edamame to `v0.0.14`, fixes parsing of `[email protected]` • Fix segfault when reifying `FileVisitor` with `visitFileFailed` https://github.com/babashka/babashka/issues/1055 • Add `PGProperty` fields to reflection config (fix for postgres feature flag) https://github.com/babashka/babashka/issues/1046 (https://github.com/bobisageek) • Fix for `babashka.fs/unzip` when entry in dir comes before dir in entries • Calling `.close` on `DirectoryStream` fails https://github.com/babashka/babashka/issues/1061 • Add support for `java.nio.file.attribute.BasicFileAttributes`

😮 1
4
babashka 4
borkdude 1
Michael W14:11:43

Error: SHA256 mismatch Expected: e41015e7b9f2be8212c9f7b655b1c675feffaaddf0f41a0c064a3d2fe2ce227a Actual: 55adddd5ddffc0e4c469ae716f5e11ff567dccf7c2bec3f9af6a63f0154beca2 File: /home/mwhitford/.cache/Homebrew/downloads/e964b0dc8f75748689ccd12faceb960b3765ca548f13266a385a96884c53e9f9--babashka-0.6.5-linux-amd64.tar.gz

Michael W14:11:04

I've tried a few times now and always the same SHA mismatch on the new version

borkdude14:11:19

Sorry about that, should be fixed now.

Michael W14:11:54

Yes it's working now, thanks for all the hard work.

zane18:11:48

I’m using a Babashka script as a https://github.com/swiftbar/SwiftBar plugin and am getting a strange error. Does this look familiar to anyone?

zane18:11:24

Much to my dismay, the error is only reproducible if I force SwiftBar to run the script. It doesn’t happen if SwiftBar runs the script on schedule, and it doesn’t happen if I run it by hand in the terminal.

borkdude18:11:30

Babashka curl uses the temp dir to write a header file. It seems to be related to that.

borkdude18:11:46

Perhaps it is related to permissions?

borkdude19:11:40

Can you put :throw to true and see if it gives a different error msg?

borkdude21:11:25

As an alternative you can try the java.net.httpclient or the org.httpkit client.

zane02:11:52

> Can you put :throw to true and see if it gives a different error msg? Sure!

zane02:11:15

Same error, looks like.

zane02:11:21

> Perhaps it is related to permissions? Possible! I’m not sure what it is about the force reload context that would result in a different permissions environment though.

zane02:11:29

@U04V15CAJ Would you like me to file a bug, or no?

borkdude06:11:13

Sure. But if I can’t reproduce it I can’t fix it

borkdude06:11:18

I can try to reproduce it with swiftbar. Please provide all the steps necessary including install instructions

zane07:11:36

That’s very generous of you. Thanks!

zane07:11:54

(Naturally, re: reproducing.)

borkdude21:11:01

tools.bbuild, an experimental babashka-compatible fork of tools.build which runs tools-deps-native-experiment as a pod (native). https://github.com/babashka/tools.bbuild https://github.com/borkdude/tools-deps-native-experiment Feel free to report feedback.